//////////////////////////////////////////////////////////////////////
// heightmap.h       by Tobias Franke (webmaster@cyberhead.de) 2001 //
//////////////////////////////////////////////////////////////////////

#include <stdio.h>
#include "bitmap.h"

class heightmap
{
	int width, height;
	
public:
	float *hmap;

	heightmap(void);

	bool create(int x, int y);
	bool load(char *filename);
	bool save(char *filename);

	int getwidth(void) { if (hmap) return width; else return -1; };
	int getheight(void) { if (hmap) return height; else return -1; };

	void reset(void);

	~heightmap(void);
};
